# -*- coding: utf-8 -*-
from django.test import TestCase

from articles.models import Feed, Article


class ArticlesTests(TestCase):

    def setUp(self):
        super(ArticlesTests, self).setUp()
        self.feed_url = 'http://www.xml.com/cs/xml/query/q/19'
        self.feed = Feed.objects.create(url=self.feed_url, title="LTP")

    def test_environment(self):
        """Just make sure everything is set up correctly."""
        self.assert_(True)
        try:
            import feedparser  # NOQA
        except:
            self.assert_(False)

    def test_update(self):
        """Update and check for new articles"""
        self.feed.update(first_load=True)
        articles = Article.objects.all()
        self.assertEqual(len(articles), 15)

    def test_check_duplicate(self):
        """Update and check for duplicated articles"""
        feed = Feed.objects.get(url=self.feed_url)
        feed.update()
        articles = Article.objects.all()
        self.assertEqual(len(articles), 15)
