# -*- coding: utf-8 -*-
from django.db.models import PositiveSmallIntegerField


class GuestsField(PositiveSmallIntegerField):
    """
    PositiveSmallIntegerField with a max_value of 100.
    """

    def get_internal_type(self):
        return "PositiveSmallIntegerField"

    def formfield(self, **kwargs):
        """
        Set maximum value in *formfield* to 100.
        """
        defaults = {'min_value': 0, 'max_value': 100}
        defaults.update(kwargs)
        return super(PositiveSmallIntegerField, self).formfield(**defaults)
