# -*- coding: utf-8 -*-
from django.conf.urls.defaults import *

urlpatterns = patterns('',
    #all events
    url(r'^$', 'events.views.event_list', name='event-list'),
    url(r'^history/$', 'events.views.event_history_list', name='event-history-list'),

    #special events
    url(r'^globaljam/$', 'events.views.global_jam', name='global-jam-dashboard'),
    url(r'^globaljam/dashboard/$', 'events.views.global_jam_dashboard', name='global-jam'),

    #global events
    url(r'^global/ical/$', 'events.views.global_event_list_ical', name='global-event-list-ical'),
    url(r'^global/(?P<global_event_id>\d+)/$', 'events.views.global_event_detail', name='global-event-detail'),
    url(r'^global/(?P<global_event_id>\d+)/detail/$', 'events.views.global_event_detail', name='global-event-detail-old'),
    url(r'^global/(?P<global_event_id>\d+)/delete/$', 'events.views.global_event_delete', name='global-event-delete'),
    url(r'^global/(?P<global_event_id>\d+)/update/$', 'events.views.global_event_update', name='global-event-update'),
    url(r'^global/(?P<global_event_id>\d+)/locations/$', 'events.views.global_event_locations', name='global-event-locations'),
    url(r'^global/add/$', 'events.views.global_event_new', name='global-event-new'),

    #team events
    url(r'^locations/$', 'events.views.team_event_locations', name='team-event-locations'),
    url(r'^ical/$', 'events.views.teams_event_list_ical', name='teams-event-list-ical'),
    url(r'^(?P<team_slug>[a-zA-Z0-9\-\.\+?]+)/(?P<team_event_id>\d+)-(?P<event_slug>[^\.]+)/$', 'events.views.team_event_detail', name='team-event-detail'),
    url(r'^(?P<team_slug>[a-zA-Z0-9\-\.\+?]+)/(?P<team_event_id>\d+)/detail/ical/$', 'events.views.event_ical', name='event-ical'),
    url(r'^(?P<team_slug>[a-zA-Z0-9\-\.\+?]+)/(?P<team_event_id>\d+)/register/$', 'events.views.team_event_register', name='team-event-register'),
    url(r'^(?P<team_slug>[a-zA-Z0-9\-\.\+?]+)/(?P<team_event_id>\d+)/detail/$', 'events.views.team_event_detail', name='team-event-detail-old'),
    url(r'^(?P<team_slug>[a-zA-Z0-9\-\.\+?]+)/(?P<team_event_id>\d+)/delete/$', 'events.views.team_event_delete', name='team-event-delete'),
    url(r'^(?P<team_slug>[a-zA-Z0-9\-\.\+?]+)/(?P<team_event_id>\d+)/update/$', 'events.views.team_event_update', name='team-event-update'),
    url(r'^(?P<team_slug>[a-zA-Z0-9\-\.\+?]+)/(?P<team_event_id>\d+)/copy/$', 'events.views.team_event_copy', name='team-event-copy'),
    url(r'^(?P<team_slug>[a-zA-Z0-9\-\.\+?]+)/add/$', 'events.views.team_event_new', name='team-event-new'),
    url(r'^(?P<team_slug>[a-zA-Z0-9\-\.\+?]+)/rss/$', 'events.views.team_events_rss', name='team-events-rss'),
    url(r'^(?P<team_slug>[a-zA-Z0-9\-\.\+?]+)/ical/$', 'events.views.team_event_list_ical', name='team-event-list-ical'),
    url(r'^add/$', 'events.views.team_event_select', name='team-event-select'),
    url(r'^comment-update/$', 'events.views.team_event_comment_edit', name='team-event-comment-edit'),
    url(r'^comment-delete/(?P<pk>\d+)/$', 'events.views.team_event_comment_delete', name='team-event-comment-delete'),

    # Old url notations
    url(r'^team/locations/$', 'events.views.team_event_locations'),
    url(r'^team/ical/$', 'events.views.teams_event_list_ical'),
    url(r'^team/add/$', 'events.views.team_event_select'),
)
