/*
 * jQuery Picasa plugin 0.1.0 (Based on jQuery Flickr plugin)
 * Requires jQuery 1.4.2
 *
 * Copyright 2011, Adnane Belmadiaf <daker@ubuntu.com>
 * Dual licensed under the MIT or GPL Version 2 licenses.
 * http://jquery.org/license
 */

(function ($) {
    $.fn.extend({   
        //This is where you write your plugin's name
        picasa: function (options) {
            var defaults = {
                id: null,
                amount: 16,
                lightbox_class: 'lightbox'
            },
                html_elements = this,
                data = { 
                    kind: 'photo',
                    alt: 'json',
                    access: 'public',
                    thumbsize: '72',
                    hl: 'en_US'
                };
            options =  $.extend(defaults, options);
            
            function parseResponse(data) {
                var title = "Untitled";
                var link = "#";
                var images = [], image, link;
                $.each(data.feed.entry, function (i, rPhoto) {
                    if(rPhoto.media$group.media$content[0].url) {
                        link = rPhoto.media$group.media$content[0].url;
                    }
                    if(rPhoto.media$group.media$content[0].url) {
                        link = rPhoto.media$group.media$content[0].url;
                    }
                    image = $('<img>').attr({
                        src: rPhoto.media$group.media$content[0].url + '?imgmax=75&crop=1',
                        alt: rPhoto.media$group.media$title.$t
                    });
                    link = $('<a>').addClass(options.lightbox_class).attr({
                        title: rPhoto.media$group.media$title.$t,
                        href: rPhoto.media$group.media$content[0].url
                    }).append(image);
                    images.push(link);
                });
                
                $(html_elements).each(function (i, html_element) {
                    var index;
                    for (index in images) {
                        if (images.hasOwnProperty(index)) {
                            $(html_element).append(images[index]);
                        }
                    }
                });
                // Reinitiale the lightbox with the new photo's
                $('a.' + options.lightbox_class).lightBox();
            }

            $.getJSON('http://picasaweb.google.com/data/feed/base/user/' + options.id + '?' + $.param(data) + '&max-results=' + options.amount, parseResponse);
            
            // Return the html objects untouched (the photo's are added when loaded)
            return this;
        } // End of picasa command
    });
}(jQuery));
