/*
 * jQuery Pixie plugin 0.1.0 (Based on jQuery Flickr plugin)
 * Requires jQuery 1.4.2
 *
 * Copyright 2011, Adnane Belmadiaf <daker@ubuntu.com>
 * Dual licensed under the MIT or GPL Version 2 licenses.
 * http://jquery.org/license
 */

(function ($) {
    $.fn.extend({
        //This is where you write your plugin's name
        pixie: function (options) {
            var defaults = {
                key: null,
                id: null,
                amount: 16,
                lightbox_class: 'lightbox'
            },
                html_elements = this,
                data = {
                    oauth_consumer_key: options.key,
                    page: '1',
                    perpage: options.amount,
                    sortby: 'recent',
                    extras: 'items_item_owner,items_item_Description,items_item_sizes_all',
                };
            options =  $.extend(defaults, options);

            function parseResponse(data) {
                var images = [], image, link;
                $.each(data.items, function (i, rPhoto) {
                    image = $('<img>').attr({
                        src: rPhoto.sizes[1].url,
                        alt: rPhoto.title
                    });
                    link = $('<a>').addClass(options.lightbox_class).attr({
                        title: rPhoto.title,
                        href: rPhoto.sizes[4].url
                    }).append(image);
                    images.push(link);
                });

                $(html_elements).each(function (i, html_element) {
                    var index;
                    for (index in images) {
                        if (images.hasOwnProperty(index)) {
                            $(html_element).append(images[index]);
                        }
                    }
                });
                // Reinitiale the lightbox with the new photo's
                $('a.' + options.lightbox_class).lightBox();
            }

            $.ajax({
                url: 'http://api.pix.ie/v0.81/account/' + options.id + '/photos.json?' + $.param(data),
                dataType: 'jsonp',
                cache: true,
                success: parseResponse
            });

            // Return the html objects untouched (the photo's are added when loaded)
            return this;
        } // End of pixie command
    });
}(jQuery));
