from django.conf.urls.defaults import *

urlpatterns = patterns('',
    #all meetings
    url(r'^$', 'meetings.views.meeting_list', name='meeting-list'),
    url(r'^history/$', 'meetings.views.meeting_history_list', name='meeting-history-list'),
    #team meetings
    url(r'^ical/$', 'meetings.views.teams_meeting_list_ical', name='teams-meeting-list-ical'),
    url(r'^(?P<team_slug>[a-zA-Z0-9\-\.\+?]+)/(?P<team_meeting_id>\d+)/detail/ical/$', 'meetings.views.meeting_ical', name='meeting-ical'),
    url(r'^(?P<team_slug>[a-zA-Z0-9\-\.\+?]+)/(?P<team_meeting_id>\d+)/detail/$', 'meetings.views.team_meeting_detail', name='team-meeting-detail'),
    url(r'^(?P<team_slug>[a-zA-Z0-9\-\.\+?]+)/(?P<team_meeting_id>\d+)/delete/$', 'meetings.views.team_meeting_delete', name='team-meeting-delete'),
    url(r'^(?P<team_slug>[a-zA-Z0-9\-\.\+?]+)/(?P<team_meeting_id>\d+)/update/$', 'meetings.views.team_meeting_update', name='team-meeting-update'),
    url(r'^(?P<team_slug>[a-zA-Z0-9\-\.\+?]+)/(?P<team_meeting_id>\d+)/copy/$', 'meetings.views.team_meeting_copy', name='team-meeting-copy'),
    url(r'^(?P<team_slug>[a-zA-Z0-9\-\.\+?]+)/add/$', 'meetings.views.team_meeting_new', name='team-meeting-new'),
    url(r'^(?P<team_slug>[a-zA-Z0-9\-\.\+?]+)/rss/$', 'meetings.views.team_meetings_rss', name='team-meetings-rss'),
    url(r'^(?P<team_slug>[a-zA-Z0-9\-\.\+?]+)/ical/$', 'meetings.views.team_meeting_list_ical', name='team-meeting-list-ical'),
    url(r'^add/$', 'meetings.views.team_meeting_select', name='team-meeting-select'),

    url(r'^team/(?P<team_meeting_id>\d+)/agenda/(?P<agenda_item_id>\d+)/delete/$', 'meetings.views.agenda_item_delete', name='agenda-item-delete'),
    url(r'^team/(?P<team_meeting_id>\d+)/agenda/(?P<agenda_item_id>\d+)/add-child/$', 'meetings.views.agenda_item_new', name='agenda-item-add-child'),
    url(r'^team/(?P<team_meeting_id>\d+)/agenda/(?P<agenda_item_id>\d+)/update/$', 'meetings.views.agenda_item_update', name='agenda-item-update'),
    url(r'^team/(?P<team_meeting_id>\d+)/agenda/add/$', 'meetings.views.agenda_item_new', name='agenda-item-new'),

    #Old url notations
    url(r'^team/ical/$', 'meetings.views.teams_meeting_list_ical'),
    url(r'^team/add/$', 'meetings.views.team_meeting_select'),
)
