# -*- coding: utf-8 -*-
from django import forms

from models import Team
from common.forms import RenderableMixin


class UpdateTeamForm(forms.ModelForm, RenderableMixin):
    class Meta:
        model = Team
        exclude = ('approved_date', 'approved', 'expires_date', 'name', 'lp_name', 'admin_profiles', 'owner_profile', 'active', 'override_name', 'mugshot_url')


class LoCoCouncilForm(UpdateTeamForm, RenderableMixin):
    class Meta(UpdateTeamForm.Meta):
        model = Team
        exclude = ('approved', 'expires_date', 'name', 'lp_name', 'admin_profiles', 'owner_profile', 'active', 'mugshot_url')


class EditLoCoCouncilForm(UpdateTeamForm, RenderableMixin):
    class Meta(UpdateTeamForm.Meta):
        model = Team
        exclude = ('approved_date', 'approved', 'expires_date', 'name',
                   'lp_name', 'contact_profiles', 'admin_profiles',
                   'owner_profile', 'active', 'override_name', 'mugshot_url',
                   'languages', 'flickr_id', 'picasa_id', 'pixie_id',
                   'microbloghashtag', 'countries', 'spr', 'city', 'provides_support')
