#!/usr/bin/python

from django.core.management.base import NoArgsCommand

from teams import models
from common import launchpad

import sys


class Command(NoArgsCommand):
    help = "Update list of continents and countries."

    def handle_noargs(self, **options):
        lp = launchpad.lp_login()
        if not lp:
            sys.exit(1)

        ld_languages = models.Language.objects.all()
        lp_language_names = set([(a.eng_name, a.code) for a in lp.languages.getAllLanguages()])
        ld_language_names = set([(a.name, a.code) for a in ld_languages])

        for (name, code) in ld_language_names.difference(lp_language_names):
            language = ld_languages.get(name=name)
            language.delete()

        for (name, code) in lp_language_names.difference(ld_language_names):
            language = models.Language(name=name, code=code)
            language.save()
