# -*- coding: utf-8 -*-
#!/usr/bin/python

from django.core.management.base import BaseCommand
from django.contrib.auth.models import User
from optparse import make_option

from userprofiles.models import create_userprofile
import sys


class Command(BaseCommand):
    help = "Updates user profiles with information from Launchpad."
    option_list = BaseCommand.option_list + (
        make_option("-u", "--user", dest='username',
            help="Supply a user to setup the openid identity url from launchpad."),
    )

    def handle(self, *args, **options):
        username = options['username']
        if not username:
            ld_users = User.objects.all()
            for ld_user in ld_users:
                create_userprofile(sender=User, instance=ld_user, need_update=True)
        else:
            try:
                ld_user = User.objects.get(username=username)
            except User.DoesNotExist:
                sys.exit('Seems that this user does not exist')
            create_userprofile(sender=User, instance=ld_user, need_update=True)
