# -*- coding: utf-8 -*-
from django.test import TestCase
from django.contrib.auth.models import User
from django.db.models import signals

from userprofiles.models import UserProfile


class SignalTest(TestCase):
    '''
    Tests that signals fire properly
    '''

    def test_signals(self):
        global received
        received = False

        def handle_post_save(**kwargs):
            global received
            received = True

        signals.post_save.connect(handle_post_save, sender=User)
        self.user = User.objects.create(username='bob')
        self.user.set_password('bob')
        self.user.save()
        self.assertTrue(received)

    def test_profile_creation(self):
        self.user = User.objects.create(username='bob', password='bob')
        self.user.save()
        self.assertEqual(UserProfile.objects.all().count(), 1)
